#For training the SVM classifiers

import os, numpy
from svmutil import *

languages = ['arabic', 'english', 'farsi', 'french', 'german', 'hindi', 'japanese', 'korean', 'mandarin', 'spanish', 'tamil', 'vietnamese']
short = ['ar', 'en', 'fa', 'fr', 'ge', 'hi', 'ja', 'ko', 'ma', 'sp', 'ta', 'vi']

N = len(languages)

L = '200' 
#attribute = 'manner'
attribute = 'place'
#attribute = 'combine'


for i in range(N):
  bestScore = 0
  bestG = 0
  bestD = 0
  
  y, x = svm_read_problem('trainDocuments/'+L+'/'+attribute+'/'+short[i]+'BinModel')
  
  m = svm_train(y,x, '-t 2 -c 300 -g 2 -e 0.01')
  #print y

  svm_save_model('models/'+L+'/'+attribute+'/'+short[i]+'.model', m)
    
  print 'Finished training classifier for '+languages[i]
