#for sorting the attributes in the place transcriptions files

import os

languages = [ 'arabic', 'english', 'farsi', 'french', 'german', 'hindi', 'japanese', 'korean', 'mandarin', 'spanish', 'tamil', 'vietnamese' ]
#languages = [ 'english' ]
transcriptdirs= ['train', 'devtest', 'evltest' ] 
#transcriptdirs= ['train']

for language in languages:
  for i in range(len(transcriptdirs)):  
    manners = [] #Store occurences of ngrams
    trainFileMapper = {}
    mapperIndex = 0
    counter = 0
    
    basedir = './CallFriend/'+language+'/transcripts/place/'+transcriptdirs[i]+'/'
    file = open(basedir+'rec_'+language+'_'+transcriptdirs[i]+'.mlf', 'r')

    for line in file:
      splitline = line.split(' ')
      splitline2 = line.split('_')
      
#      if len(splitline) < 3:
#        counter += 1
                
      if len(splitline) >= 4:
        manners[index].append(line)
      elif len(splitline2) > 2:
        trainFile = splitline2[1]+'_'+splitline2[2]
        
        if trainFileMapper.has_key(trainFile):
          index = trainFileMapper[trainFile]
        else:
          trainFileMapper[trainFile] = mapperIndex
          index = mapperIndex
          manner = []
          manners.insert(index, manner)
          manners[index].append(trainFile+'\n')

          mapperIndex += 1
  
#    print mapperIndex
#    print len(manners)

    fileOut = open(basedir+transcriptdirs[i]+'_sorted.txt', 'w')
    for x in range(mapperIndex):
      for line in manners[x]:
        fileOut.write(line)
  
#    print counter
    print mapperIndex
    print 'Finished sorting '+transcriptdirs[i]+', '+language
