#Sorts the document vectors for each language in to a model and an anti-model
# one - against - all - classifier

import os, random

languages = ['arabic', 'english', 'farsi', 'french', 'german', 'hindi', 'japanese', 'korean', 'mandarin', 'spanish', 'tamil', 'vietnamese']
short = ['ar', 'en', 'fa', 'fr', 'ge', 'hi', 'ja', 'ko', 'ma', 'sp', 'ta', 'vi']

L = '45'
N = len(languages)
#attribute = 'manner'
attribute = 'combine'

for k in range(N):
  outFile = open('trainDocuments/'+L+'/'+attribute+'/'+short[k]+'BinModel','w')
  
  file = open('trainDocuments/'+L+'/'+attribute+'/'+short[k]+'Model','r')      #Model
      
  for line in file:
    newLine = line.replace('+1', '+1')
    outFile.write(newLine)
  outFile.write('\n') 
  
  for r in range(N):
    if r == k:
      continue
    
    file = open('trainDocuments/'+L+'/'+attribute+'/'+short[r]+'Model','r')      #Model
      
    for line in file:
      newLine = line.replace('+1', '-1')
      outFile.write(newLine)
      
    if r == N-1:
      continue
      
    outFile.write('\n')  
    file.close()
  
  outFile.close()
    

  print 'Finished writing models for '+languages[k]
  
  